## listparser 0.20

=== requirements/docs/requirements.txt ===
alabaster==0.7.13 ; python_version >= "3.8"
babel==2.14.0 ; python_version >= "3.8"
certifi==2024.2.2 ; python_version >= "3.8"
charset-normalizer==3.3.2 ; python_version >= "3.8"
colorama==0.4.6 ; python_version >= "3.8" and sys_platform == "win32"
docutils==0.20.1 ; python_version >= "3.8"
idna==3.6 ; python_version >= "3.8"
imagesize==1.4.1 ; python_version >= "3.8"
importlib-metadata==7.1.0 ; python_version < "3.10" and python_version >= "3.8"
jinja2==3.1.3 ; python_version >= "3.8"
markupsafe==2.1.5 ; python_version >= "3.8"
packaging==24.0 ; python_version >= "3.8"
pygments==2.17.2 ; python_version >= "3.8"
pytz==2024.1 ; python_version < "3.9" and python_version >= "3.8"
requests==2.31.0 ; python_version >= "3.8"
snowballstemmer==2.2.0 ; python_version >= "3.8"
sphinx==7.1.2 ; python_version >= "3.8"
sphinxcontrib-applehelp==1.0.4 ; python_version >= "3.8"
sphinxcontrib-devhelp==1.0.2 ; python_version >= "3.8"
sphinxcontrib-htmlhelp==2.0.1 ; python_version >= "3.8"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.8"
sphinxcontrib-qthelp==1.0.3 ; python_version >= "3.8"
sphinxcontrib-serializinghtml==1.1.5 ; python_version >= "3.8"
urllib3==2.2.1 ; python_version >= "3.8"
zipp==3.18.1 ; python_version < "3.10" and python_version >= "3.8"

=== requirements/mypy/requirements.txt ===
lxml-stubs==0.5.1 ; python_version >= "3.8"
mypy-extensions==1.0.0 ; python_version >= "3.8"
mypy==1.9.0 ; python_version >= "3.8"
tomli==2.0.1 ; python_version < "3.11" and python_version >= "3.8"
types-requests==2.31.0.20240311 ; python_version >= "3.8"
types-toml==0.10.8.20240310 ; python_version >= "3.8"
typing-extensions==4.10.0 ; python_version >= "3.8"
urllib3==2.2.1 ; python_version >= "3.8"

=== requirements/test/requirements.txt ===
colorama==0.4.6 ; python_version >= "3.8" and sys_platform == "win32"
coverage[toml]==7.4.4 ; python_version >= "3.8"
exceptiongroup==1.2.0 ; python_version < "3.11" and python_version >= "3.8"
importlib-metadata==7.1.0 ; python_version < "3.10" and python_version >= "3.8"
iniconfig==2.0.0 ; python_version >= "3.8"
packaging==24.0 ; python_version >= "3.8"
pluggy==1.4.0 ; python_version >= "3.8"
pytest-randomly==3.15.0 ; python_version >= "3.8"
pytest==8.1.1 ; python_version >= "3.8"
tomli==2.0.1 ; python_full_version <= "3.11.0a6" and python_version >= "3.8"
zipp==3.18.1 ; python_version < "3.10" and python_version >= "3.8"

## listparser 0.18

=== debian/changelog ===
listparser (0.18-3) unstable; urgency=medium

  * d/salsa-ci.yml: disable aptly
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)
  * d/patches: add fix_sphinx_error to fix an FTBFS (Closes: #997741)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 26 Oct 2021 19:51:00 +0000

listparser (0.18-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 16 Oct 2020 11:08:42 +0000

listparser (0.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source-only upload to make package transition to testing after initial
    upload

 -- Johannes 'josch' Schauer <josch@debian.org>  Thu, 27 Aug 2020 19:49:36 +0200

listparser (0.18-1) unstable; urgency=medium

  * Initial release (Closes: #962143)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 03 Jun 2020 18:02:24 +0000

=== debian/control ===
Source: listparser
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-sphinx <!nodoc>,
               python3-setuptools
Standards-Version: 4.6.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/kurtmckee/listparser
Vcs-Git: https://salsa.debian.org/python-team/packages/listparser.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/listparser

Package: python3-listparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Parse OPML, RDF+FOAF, and iGoogle subscription lists
 listparser is a Python module that parses subscription lists (also called
 reading lists) and returns a dictionary in OPML structured format.
 It supports OPML, RDF+FOAF, and the iGoogle exported settings format,
 and runs in Python 2.7, Python 3.3 and up, PyPy, and Jython.
 .
 The OPML specification defines an outline as a hierarchical, ordered list
 of arbitrary elements. The specification is fairly open which makes it
 suitable for many types of list data, like RSS feeds.

Package: python-listparser-doc
Architecture: all
Section: doc
Depends: python3-sphinx-rtd-theme, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Parse OPML, RDF+FOAF, and iGoogle subscription lists (documentation)
 listparser is a Python module that parses subscription lists (also called
 reading lists) and returns a dictionary in OPML structured format.
 It supports OPML, RDF+FOAF, and the iGoogle exported settings format,
 and runs in Python 2.7, Python 3.3 and up, PyPy, and Jython.
 .
 The OPML specification defines an outline as a hierarchical, ordered list
 of arbitrary elements. The specification is fairly open which makes it
 suitable for many types of list data, like RSS feeds.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

=== debian/tests/control ===
Test-Command: python3 lptest.py
Restrictions: allow-stderr
Depends: python3-all,
         @

## listparser 0.20

=== debian/changelog ===
listparser (0.20-2) unstable; urgency=medium

  * Team upload.
  * Removed d/tests/control not fit for new upstream version.
  * d/control: updated test suite to autopkgtest-pkg-pybuild.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 03 Jul 2024 17:30:00 +0000

listparser (0.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1074502)
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Add missing build-dependency on python3-poetry-core.
  * Remove old patch
  * Add a build-depedency on python3-pytest & enable tests

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 18:48:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-poetry-core,
+               python3-pytest <!nocheck>,
                python3-sphinx <!nodoc>,
-               python3-setuptools
-Standards-Version: 4.6.0
+               python3-setuptools,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/kurtmckee/listparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/listparser.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/listparser

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
